For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
API StatusPartner Portal
HomeGuidesAPI ExplorerSDKsGitHubSupport
HomeGuidesAPI ExplorerSDKsGitHubSupport
  • API Concepts
    • Overview
    • Environments and URLs
    • Authentication
    • API versioning
    • Rate limiting
    • HTTP headers
    • Pagination, sorting, and filtering
  • General
  • Common
      • GETGet all entities
      • POSTCreate an entity
      • GETGet the current entity
      • PATCHUpdate the current entity
      • GETGet an entity
      • PATCHUpdate an entity
      • POSTActivate an entity
      • POSTDeactivate an entity
      • PUTUpload an entity logo
      • DELDelete an entity's logo
      • GETGet entity metadata
      • PUTReplace entity metadata
      • GETGet entity settings
      • PATCHUpdate entity settings
      • GETGet the next document numbers for an entity
      • GETGet an entity of this user
      • PATCHUpdate an entity of this user
  • Accounts payable
  • Accounts receivable
  • E-invoicing
  • Payments
  • Accounting integration
  • Expense management
  • Utilities
LogoLogo
API StatusPartner Portal
CommonEntities

Update the current entity

Deprecated
PATCH
/entities/me
PATCH
/v1/entities/me
$curl -X PATCH https://api.sandbox.monite.com/v1/entities/me \
> -H "x-monite-version: 2024-05-25" \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{}'
1{
2 "type": "individual",
3 "address": {
4 "city": "city",
5 "country": "AF",
6 "line1": "line1",
7 "postal_code": "postal_code",
8 "line2": "line2",
9 "state": "state"
10 },
11 "created_at": "2024-01-15T09:30:00Z",
12 "id": "id",
13 "individual": {
14 "first_name": "first_name",
15 "last_name": "last_name",
16 "date_of_birth": "date_of_birth",
17 "id_number": "id_number",
18 "ssn_last_4": "ssn_last_4",
19 "title": "title"
20 },
21 "status": "active",
22 "updated_at": "2024-01-15T09:30:00Z",
23 "email": "email",
24 "logo": {
25 "id": "id",
26 "created_at": "2024-01-15T09:30:00Z",
27 "file_type": "payables",
28 "md5": "31d1a2dd1ad3dfc39be849d70a68dac0",
29 "mimetype": "application/pdf",
30 "name": "invoice.pdf",
31 "region": "eu-central-1",
32 "size": 24381,
33 "url": "https://bucketname.s3.amazonaws.com/12345/67890.pdf",
34 "pages": [
35 {
36 "id": "id",
37 "mimetype": "image/png",
38 "number": 0,
39 "size": 21972,
40 "url": "https://bucket.s3.amazonaws.com/123/456.png"
41 }
42 ],
43 "previews": [
44 {
45 "height": 400,
46 "url": "https://bucketname.s3.amazonaws.com/1/2/3.png",
47 "width": 200
48 }
49 ]
50 },
51 "phone": "phone",
52 "registration_authority": "registration_authority",
53 "registration_number": "registration_number",
54 "tax_id": "tax_id",
55 "website": "website"
56}

Deprecated. Use PATCH /entity_users/my_entity instead.

Was this page helpful?
Previous

Get an entity

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Headers

x-monite-versionstringRequired

Request

This endpoint expects an object.
addressobjectOptional
An address description of the entity
emailstringOptionalformat: "email"
An official email address of the entity
individualobjectOptional
A set of meta data describing the individual
organizationobjectOptional
A set of meta data describing the organization
phonestringOptional<=100 characters
The contact phone number of the entity. Required for US organizations to use payments.
registration_authoritystringOptional1-100 characters

(Germany only) The name of the local district court (Amtsgericht) where the entity is registered. Required if registration_number is provided.

registration_numberstringOptional1-100 characters

(Germany only) The entity’s commercial register number (Handelsregisternummer) in the German Commercial Register, if available.

tax_idstringOptional1-30 characters

The new taxpayer identification number (tax ID) of the entity. Tax ID is required for entities that are not VAT-registered.

Note: If an entity that is onboarded for payments updates its tax ID, this entity must re-accept the Monite payments terms of service (ToS) to continue using payments. To accept the ToS, call PATCH /entities/{entity_id}/onboarding_data and provide the new tos_acceptance.date timestamp. This timestamp must be later than the time when the tax_id was last updated.

websitestringOptionalformat: "uri"1-2083 characters
A website of the entity

Response

Successful Response
individualobject
OR
organizationobject

Errors

400
Patch Entities Me Request Bad Request Error
401
Patch Entities Me Request Unauthorized Error
422
Patch Entities Me Request Unprocessable Entity Error
429
Patch Entities Me Request Too Many Requests Error